Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
%define sublevel 26
%define kversion 2.2.%{sublevel}
%define ksymoopsver 0.7c
%define _noVersionedDependencies 1
%define freeswanversion 1.99
%define x509version 0.9.37
Version: %{kversion}
Release: 2tr
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
License: GPL
Group: System/Kernel
ExclusiveArch: i586 i686
ExclusiveOS: Linux
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.2/linux-%{version}.tar.bz2
Source1: ftp://ftp.ocs.com.au/pub/ksymoops/ksymoops-%{ksymoopsver}.tar.gz
Source2: module-info
Source3: installkernel
Source4: rhkmvtag.c
Source5: kernel-2.2-BuildASM.sh
Source6: linux-autoconf.h
Source7: linux-version.h
Source8: linux-modversions.h
Source9: kernel-%{kversion}-i586.config
Source10: kernel-%{kversion}-i586-BOOT.config
Source11: kernel-%{kversion}-i586-smp.config

# This must be edited AFTER running rpm -bp the first time!
Patch0: linux-%{version}-freeswan-%{freeswanversion}-x509-%{x509version}.patch.bz2
Patch1: linux-2.2.19-ipvs-masq-vpn.patch
#Patch1: linux-2.2.19-vpn-masq.patch
Patch2: ipvs-1.0.8-2.2.19.patch.bz2
Patch3: linux-2.2.12-3c90x.patch.gz
Patch4: linux-2.2.12-symversion.patch
#Patch5: linux-2.2.17-PIII.patch
Patch6: linux-2.2.14-loop.patch
Patch7: linux-2.2.14-nobfddep.patch
Patch8: linux-2.2.14-server-tuning.patch
Patch9: linux-2.2.14-sunpartshaddap.patch

Patch10: linux-2.2.19-limits.patch
Patch11: linux-2.2.20-raid-A0.patch

Patch12: linux-2.2.20-makefile.patch
Patch13: linux-2.2.14-PIII-xor.patch
Patch14: linux-2.2.19-rawio.patch
Patch15: restore_rsize.patch

# NFS fixes:
Patch20: linux-2.2.19-atime.dif
Patch21: linux-2.2.19-dir.dif
Patch22: linux-2.2.19-llseek.dif
Patch23: linux-2.2.19-lock_reclaim.dif
Patch24: linux-2.2.19-superblock.dif
Patch25: linux-2.2.19-symlink.dif
Patch26: linux-2.2.19-tcp_hang.dif

# The symlink and ptrace patches.
Patch27: linux-2.2.19-deep-symlink.patch
Patch28: linux-2.2.19-ptrace.patch

# The IBM ServeRAID patch
Patch29: kernel-2.2.22-ips-5.10-patch

# New AIC7xxx driver.
Patch30: linux-aic7xxx-6.2.3-2.2.19.patch.gz

# Eepro 100.
Patch31: linux-2.2.16-useio.patch

# ioapic thingie
Patch32: linux-2.2.17-ioapic-init.patch

# zlib-fix taken from 2.2.21-rc1 remove this on update...
Patch33: kernel-2.2.20-zlib-patch

# DPT patch from Adaptec
Patch34: dpt_i2o-2.2.19.diff

# Broadcom driver for the 5700 gigabit cards
Patch35: linux-2.2.22-bcm.patch

# Aacraid drivers
Patch36: linux-2.2.22-aacraid-20020701.patch.bz2

# LSI drivers
Patch37: linux-2.2.25-lsi-fusion-mpt.patch.bz2

# mremap patch
Patch38: linux-2.2.25-mremap-security.patch

# CAN-2005-1263 or just another binfmt_elf thingie
Patch39: linux-2.2.26-CAN-2005-1263.patch

BuildRoot: /var/tmp/kernel-%{KVERREL}-root
Provides: module-info
Autoreq: no
PreReq: modutils, /sbin/mkinitrd, /bin/cat, /usr/bin/awk
#Requires: initscripts

%package source
Requires: kernel-headers = %{kversion}
Summary: The source code for the Linux kernel.
Group: Libraries/Development

%package headers
Summary: Header files for the Linux kernel.
Group: Libraries/Development

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%package utils
Summary: Kernel related utilities.
Group: Environment/Utilities

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Trustix Secure Linux operating system.  The kernel handles the basic
functions of the operating system:  memory allocation, process allocation,
device input and output, etc.

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned
to your particular hardware, if you are so inclined (and you know what
you're doing).

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
kernel.

%description doc
This package contains documentation files form the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files. 

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.

%description utils
The kernel-utils package contains ksymoops, a utility that can be used
for decrypting the kernel's OOPS output.

%package smp
Summary: The Linux kernel compiled for SMP machines.
Group: System/Kernel
Provides: kernel = %{version}
PreReq: /sbin/mkinitrd, /bin/cat, /usr/bin/awk


%description smp
This package includes a SMP version of the Linux kernel. It is
required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

Install the kernel-smp package if your machine uses two or more CPUs.

%package BOOT
Summary: The version of the Linux kernel used on installation boot disks.
Group: System/Kernel
Provides: kernel = %{version}

%description BOOT
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.

%package BOOTsmp
Summary: The Linux kernel used on installation boot disks for SMP machines.
Group: System/Kernel
Provides: kernel = %{version}

%description BOOTsmp
This package includes a trimmed down version of the Linux kernel. This
kernel is used on the installation boot disks only and should not be used
for an installed system, as many features in this kernel are turned off
because of the size constraints. This kernel is used when booting SMP
machines that have trouble coming up to life with the uniprocessor kernel.

%prep
%setup -q -n linux-%{version} -a 1
mkdir configs
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-i?86*.config configs
# Tired of creating this manually.  If you run into trouble with RPM
# not finding the patch, create an empty file and rebuild.
if [ -s $RPM_SOURCE_DIR/linux-%{version}-freeswan-%{freeswanversion}-x509-%{x509version}.patch.bz2 ]; then
  echo "Using supplied FreeSWAN patch"
else
  echo "Creating FreeSWAN patch"
  if [ ! -f $RPM_SOURCE_DIR/freeswan-%{freeswanversion}.tar.gz ]; then
    echo "Please download the FreeSWAN %{freeswanversion} source and
place it in $RPM_SOURCE_DIR"
    exit 1
  fi
  if [ ! -f $RPM_SOURCE_DIR/x509patch-%{x509version}-freeswan-%{freeswanversion}.tar.gz ]; then
    echo "Please download the x509 patch for FreeSWAN %{freeswanversion} and
place it in $RPM_SOURCE_DIR"
    exit 1
  fi
  mkdir createpatch
  cd createpatch
  tar -jxf %{SOURCE0}
  cp -a linux-%{version} linux-%{version}.orig
  cp $RPM_SOURCE_DIR/kernel-%{kversion}-%{_target_cpu}.config linux-%{version}/.config
  make -C linux-%{version} include/linux/version.h
  tar -zxf $RPM_SOURCE_DIR/freeswan-%{freeswanversion}.tar.gz
  tar -zxf $RPM_SOURCE_DIR/x509patch-%{x509version}-freeswan-%{freeswanversion}.tar.gz
  patch -p0 < x509patch-%{x509version}-freeswan-%{freeswanversion}/freeswan.diff
  cd freeswan-%{freeswanversion}
  ROOTDIR=$(echo $RPM_BUILD_DIR | sed -e 's|/|\\/|g')
  perl -pi -e "s/^KERNELSRC=.*$/KERNELSRC=$ROOTDIR\/linux-%{version}\/createpatch\/linux-%{version}/" Makefile.inc
  make oldgo
  cd ../linux-%{version}
  make mrproper
  find . -name \*~ \
    -o -name \*.orig \
    -o -name \*.wipsec \
    -o -name \*.ipsecmd5 \
    -o -name \*.preipsec \
    -o -name .depend \
  | xargs rm || :
  cd ..
  diff -Nru linux-%{version}.orig linux-%{version} | bzip2 -9 > $RPM_SOURCE_DIR/linux-%{version}-freeswan-%{freeswanversion}-x509-%{x509version}.patch.bz2
  cd ..
  rm -rf createpatch
fi
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
#patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
#%patch13 -p1
%patch14 -p1
%patch15 -p1

# %patch20 -p1
# %patch21 -p1
# %patch22 -p1
# %patch23 -p1
# %patch24 -p1
# %patch25 -p1
# %patch26 -p0
# %patch27 -p1
# %patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
#%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
#%patch38 -p1
%patch39 -p1

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

%build

BuildKernel() {
    # is this a special kernel we want to build?
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{version}-%{release}$1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=%{_target_cpu}
	KernelVer=%{version}-%{release}
	echo BUILDING THE NORMAL KERNEL...
    fi
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/i386/defconfig
    rm -f .config
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$1/" Makefile
    make mrproper
    make oldconfig
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config.bak
    cp .config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config
    make dep
    make include/linux/version.h 
    if [ -x /usr/bin/getconf ] ; then
	NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
	if [ $NRPROC -eq 0 ] ; then
	    NRPROC=1
	fi
    else
	NRPROC=1
    fi
    make bzImage MAKE="make -j $NRPROC"
    make modules MAKE="make -j $NRPROC"
    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    # Start installing stuff
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-$KernelVer
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi,video}
    make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
    #Identify the modules directory with the Red Hat Kernel Module Version Tag
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
}

SaveHeaders() {
    if [ -n "$1" ] ; then
	echo "SAVING HEADERS for $1"
    fi
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux
    if [ -n "$1" ] ; then
    	install -m 644 include/linux/autoconf.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/autoconf-$1.h
    	install -m 644 include/linux/version.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/version-$1.h
	sed -e "s,/modules/,/modules-$1/,g" < include/linux/modversions.h > \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/modversions-$1.h
	mv include/linux/modules include/linux/modules-$1
	
    fi
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT

# We don't build boot kernels for i686 -- i586 will do.
%ifnarch i686
# BOOT kernel
BuildKernel BOOT
SaveHeaders BOOT
%endif

#SMP-ENABLED KERNEL
BuildKernel smp
SaveHeaders smp

# NORMAL KERNEL
BuildKernel
%ifarch i586
SaveHeaders up
%endif

make -C ksymoops-%{ksymoopsver}

###
### install
###

%install

mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
install -m 755 $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel

%ifarch i686
exit 0
%endif

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} 

#this is kind of ugly, but we have asked for it
touch /boot/kernel.h || :

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux

ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm

make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
cp $RPM_SOURCE_DIR/kernel-%{kversion}-%{_arch}.config arch/i386/defconfig
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
#mv autoconf.h autoconf-up.h
#mv version.h version-up.h
#mv modversions.h modversions-up.h
install -m 644 %{SOURCE6} autoconf.h
install -m 644 %{SOURCE7} version.h
install -m 644 %{SOURCE8} modversions.h
} ; popd
> $RPM_BUILD_ROOT/boot/kernel.h

# other tools
make install -C ksymoops-%{ksymoopsver} INSTALL_PREFIX=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

# These tend to ruin uninstalling of the package.
mkdir -p $RPM_BUILD_ROOT/lib/modules
touch $RPM_BUILD_ROOT/boot/initrd-%{KVERREL}.img
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.dep
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.generic_string
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.isapnpmap
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.parportmap
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.pcimap
touch $RPM_BUILD_ROOT/lib/modules/%{KVERREL}/modules.usbmap

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

%pre
# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
# Create symlinks, some may use this in lilo.conf:
ln -sf vmlinuz-%{KVERREL} vmlinuz
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info

%pre smp
# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post smp
# Create symlinks, some may use this in lilo.conf:
ln -sf vmlinuz-%{KVERREL}smp vmlinuz
ln -sf System.map-%{KVERREL}smp System.map
ln -sf module-info-%{KVERREL}smp module-info

%post headers
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%postun headers
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%postun source
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

###
### file lists
###

%files
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}

%files smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/boot/module-info-%{KVERREL}smp
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}smp

%ifnarch i686
%files BOOT
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}BOOT
%endif

%ifarch i586

%files source
%defattr(-,root,root)
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch
/usr/src/linux-%{kversion}/configs
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/modules
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts

%files utils
%defattr(-,root,root)
%doc scripts/ksymoops/README
/usr/bin/ksymoops
/usr/share/man/man8/ksymoops.8*

%files headers
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/include
/usr/include/asm
/usr/include/linux
/boot/kernel.h

%files doc
%defattr(-,root,root)
%doc Documentation/*

%endif

%changelog
* Wed May 11 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.26-2tr
- CAN-2005-1263

* Thu Feb 26 2004 Oystein Viggen <oysteivi at trustix dot org> 2.2.26-1tr
- New upstream version

* Fri Feb 20 2004 Oystein Viggen <oysteivi at trustix dot org> 2.2.25-10tr
- Added a fix for possible local root hole through mremap()

* Mon Apr  8 2003 Chr. Toldnes <christht at tawie dot org> 2.2.25-9tsl
- New upstream x506-patch: 0.9.37

* Mon Apr  8 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-8tr
- Removed the hacks in %post. Will fix Fusion support in the installer
- This mkinitrd stuff will be features of tsl-2.0

* Mon Apr  7 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-7tr
- take II

* Mon Apr  7 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-6tr
- Now it even should work on scsi-controllers other than MPT-Fusion

* Thu Apr  4 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-5tr
- Cleanup %post scripts

* Tue Apr  1 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-4tr
- Actually forces mptscsih, as it got dumped...

* Thu Mar 27 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.25-3tr
- Added creation of initrd in %post, special case for mpt Fusion

* Wed Mar 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.25-2tr
- Added LSI controller patch.

* Mon Mar 17 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.25-1tr
* Fix CAN-2003-0127 aka Ptrace hole.

* Fri Mar 14 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.24-2tr
- added initial patch to fix CAN-2003-0127 (Patch37)

* Fri Mar 14 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.24-1tr
- New upstream kernel version: 2.2.24
- New upstream x509 version: 0.9.25-freeswan-1.99

* Wed Dec 18 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.22-8tr
- Fix /proc/mem dos.

* Thu Nov 21 2002 Erlend Midttun <erlendbm at trustix dot com>
- Autogenerate freeswan patch.

* Thu Nov 14 2002 Erlend Midttun <erlendbm at trustix dot com>
- Fix dos.

* Mon Oct 28 2002 Erlend Midttun <erlendbm at trustix dot com>
- Added aacraid driver.
 
* Thu Sep 26 2002 Erlend Midttun <erlendbm at trustix dot com>
- bcm driver take II.

* Wed Sep 25 2002 Erlend Midttun <erlendbm at trustix dot com>
- Added bcm driver.

* Fri Sep 20 2002 Erlend Midttun <erlendbm at trustix dot com>
- Added RTL8139TOO.
- Added ES3210.
- Added Farsync.

* Thu Sep 19 2002 Erlend Midttun <erlendbm at trustix dot com>
- Updated to kernel 2.2.22.
- Updated to ips driver 5.10.
- Removed zlib patch as it was no longer needed.
- Updates ipvs driver to 1.0.8.
- Added DPT driver from Adaptec.

* Fri Mar 15 2002 Christian Haugan Toldnes <christht at trustix dot com>
- Added patch to fix zlibs double free() issue.

* Wed Dec 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.2.20.

* Wed Oct 31 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added IBM ServeRAID patch 4.80
- Added FreeSWAN 1.91 patch to fix memory leak.
- Added PIO patch to eepro100 driver.
- Added AIC7xxx driver version 6.2.4.  Not working yet.

* Fri Oct 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- Applied the symlink and ptrace patches.

* Tue Jul  3 2001 Oystein Viggen <oysteivi at trustix dot com>
- define _noVersionedDependencies

* Wed May 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added NFS patches.

* Mon Apr 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added module files.

* Wed Apr  4 2001 Alexander Reelsen <ar at trustix dot com>
- Added VPN masquerading patch (merged with ipvs to avoid problems)
- Enabled QoS/tc modules
- IPSec/VPN masq does not work (that's not a bug)!

* Tue Apr  3 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 2.2.19 to fix security problems
- Updated freeswan, ipvs and RawIO patches

* Mon Feb 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- Security fixes for ptrace and sysctl security holes.

* Thu Nov 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Now also saves the configuration done under compile.

* Thu Oct 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Included restore_rsize patch from Dave Higgen
- IBM serveraid 4.20 (which also seems to be 4.30 for some reason)

* Tue Jun 20 2000 Erlend Midttun <erlendbm at trustix dot com>
- Fixed typo in NFS code

* Wed Jun 14 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added newer aic7xxx drivers
- Added 2.2.16 combo patch
- Added 2.2.16 status reg patch

* Thu Jun  8 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.2.16

* Mon May 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.2.15

* Wed Feb  9 2000 Tore Olsen <toreo at trustix dot com>
- cleanup: removed ibcs and pcmcia
- made i586 the base architecture
- added nfs patch from latest CVS tree

* Mon Sep 27 1999 Cristian Gafton <gafton@redhat.com>
- patch to fix xtime SMP lockup problem from DaveM
- patch to fix the IDE poll lockups
- make building modules for SMP work okay

* Sun Sep 26 1999 Cristian Gafton <gafton@redhat.com>
- turn off PIII patches again
- NFS hang patch fix
- TCP sequence patch fix

* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- turn off suid bit on cardctl

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- add bestfunc patch to PIII patches and re-enable them

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- disable PIII patches
- 2.2.13pre12
- PIII patches from Doug
- network fixes form DaveM
- sparc patches integration and consolidatin with stuff from vger (DaveM)
- put back the nfsd patches from earlier versions

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre11
- patch from Jakub to make CONFIG_BINFMT_SUNOS configurable on the sparc

* Mon Sep 20 1999 Doug Ledford <dledford@redhat.com>
- Integrated the PIII patch and the PIII-xor patch against Ingo's raid code
- Updated config files for PIII support
- Added Vesa FB support to the i386-BOOT config

* Thu Sep 16 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre9
- fix the Provides for the smp and BOOT kernel packages (provide the current
  version)
- alpha patches from Jay Estabrook
- Ingo's updated RAID code

* Mon Sep 13 1999 Cristian Gafton <gafton@redhat.com>
- jump to 2.2.13pre7 from Alan
- remove Ingo's raid patch to see if we gain more stability
- leave the peerbus patch enabled only for intel builds as it breaks alpha
  and sparc

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- use getconf to get the number opf CPus on the machine for use in the
  build process
- add DaveM's sparc and strlen_user() fix

* Fri Sep 10 1999 Doug Ledford <dledford@redhat.com>
- Add another device to the pci id listings
- Fix a one line bug in pcnet32.c

* Wed Sep 08 1999 Cristian Gafton <gafton@redhat.com>
- new ipvs patch
- patch from Doug to deal with peer PCI patch

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- patch from DaveM to handle increased NR_TASKS on sun4c
- build an alpha SMP BOOT kernel.
- don't ship sparc64 binaries on Intel

* Mon Sep 06 1999 Doug Ledford <dledford@redhat.com>
- add pci-id patch to correct pci.h and oldproc.c bugs
- add aic7xxx-5.1.20 patch to fix two kernel null pointer derefs
- very small patch to fix problems on Intel 450NX chipset motherboards
  (this is a preliminary patch pending an official patch from Martin Mares)

* Fri Sep 03 1999 Cristian Gafton <gafton@redhat.com>
- add hashing patch from DaveM
- add peerpci patch from Doug (disabled because it is busted)

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- add APIC patch from Doug and Zach

* Tue Aug 31 1999 Cristian Gafton <gafton@redhat.com>
- added Alan's fixes patch
- added rawio patch from Stephen
- disabled CONFIG_SCSI_ALL_LUN on all config files

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.12
- enabled IPVS
- work around rpm's stupidity when it comes to _arch/_target_cpu and
  sparc/sparc64

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- add the linux/modversions.h file to the list of kernel version dependent
  (because of the .ver files it includes)
- upgrade to final3 + add-on patches

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- added pre7 patches from 2.2.12
- handle kernel-version specific autoconf.h and version.h headers
- add the NFS patches

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- add the serveraid patch

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- updated to pre5
- updated RAID patch from Ingo

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- patch to address the sysrq error on sparc
- patch to fix socket include file (thanks notting)
- add sparc patch from Jakub
- add afinet patch from Alexey Kuznetov
- add 2GB patch from Leonard Zubkoff

* Thu Jul 15 1999 Cristian Gafton <gafton@redhat.com>
- updated Adaptec kernel driver to 5.1.18
- pcmcia 3.0.13
- patch to pcmcia to fix some Cardbus problems

* Wed Jul 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix ATAPI ZIP drives

* Mon Jun 28 1999 Cristian Gafton <gafton@redhat.com>
- adeed patch tp increase default SEMMSL value

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- turn off CONFIG_SMB_WIN95

* Tue Jun  1 1999 Matt Wilson <msw@redhat.com>
- added remote crash fix from Alan Cox

* Mon May 17 1999 Matt Wilson <msw@redhat.com>
- rebuilt against fixed egcs to fix sparc crashes

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- alpha patches form Jay Estabrook
- semaphore patches from rth for alpha

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- upgraded the defrag patch with stuff from davem

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- log debugging information about starting nfsd to syslog instead of console
- make sure the postinstall exits with success for the kernel rpm if lilo
  has issues
- updated sparc jumbo patch
- networking fixes from DaveM
- make pcmcia use a preun instead of a postun. Duh.
- triggerpostun protects upgrades from older verrsions of pcmcia. Duh. Duh.

* Sat Apr 17 1999 Cristian Gafton <gafton@redhat.com>
- added patches for the alpha problems, ftruncate fix, mmap
  and shm fixes from the 2.2.6 kernel
- updated DaveM's sparc patch
- x86 patches also from x86 kernel

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- build alpha network drivers as modules
- pcmcia scripts do not use /dev/cuaX anymore for /dev/modem (ttySX instead)
- disable RTC on alpha

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch for tokenring
- add the REAME.kernel-sources file to the kernel-headers
- updated again the sparc patch
- add Linus's patch to fix out of memory errors
- fix dac960's driver include files

* Mon Apr 12 1999 Cristian Gafton <gafton@redhat.com>
- new sparc patch (davem)
- new RAID patch (mingo)
- new aic7xxx driver (5.1.15 - dledford)
- aarp patch from alan

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- add patch from Alan to make SYS_access SuSv2 compliant
- update Dave Miller's sparc patch
- get rid of the bogus buffer patch (why the heck didn't patch reject it in
  first place?)

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- more patches from Alan
- updated the knfsd patches from knfsd 1.2.2

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated sparc patch from davem
- added patch for sound docs and bttv driver from alan

* Wed Mar 31 1999 Cristian Gafton <gafton@redhat.com>
- add i586 as an other platform
- patch from Alan Cox to fix misc hangups
- updated Doug's driver to 5.1.13
- version 2.2.5

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- added BOOT config files for all the arches
- updated config files (again)

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.4
- new DAC960 patch
- install a module-info for ech kernel build
- be more selective in building kernel-doc for all arches
- alpha CPUs detection patch

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- patch for nbd stuff
- added large fd patch
- added nfsd patches from the knfsd dist

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- disabled vfork() on sparc32
- fixed up sparc64 build
- changed the compression level for bzImages from -9 to -3 on i386

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- build sunlance into the sparc kernels

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.3
- make the /usr/src/linux-VER dir owned by kernel-headers instead of
  kernel-source

* Wed Mar 10 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.2-ac7
- add config files for i686

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- merged in sparc64 changes
- update to 2.2.2
- fix the uname problems in different shapes of kernel being generated
- create a documentation package

* Thu Feb 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.1 w/ ac5
- build the boot kernel for the bootdisks

* Wed Jan 27 1999 Cristian Gafton <gafton@redhat.com>
- ver 2.2.0 final w/ ac1
- move the pcmcia modules to the main kernel package
- also build smp version of the kernel
- enable apm in the kernel by default

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.0 pre 8 w/ ac1

* Sun Dec 27 1998 Mike Wangsmo <wanger@redhat.com>
- put in 133ac3
- fixed PCMCIA to use GET_USE_COUNT instead of module->usecount

* Mon Dec 21 1998 Cristian Gafton <gafton@redhat.com>
- remove the jensen and srm-jensen subpackages, as those should be handled
  by the generic kernel instead.
- use 131ac13
- upgradede to 2.1.131
- removed /usr/include/scsi from kernel-headers

* Mon Nov 23 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.129 ac3
- pcmcia-cs 3.0.6
- XXX: disabled the DEPCS, EWRK3 support, as it does not build yet

* Tue Sep 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.123
- builds jansen and jensen-srm subpackages on alpha

* Thu Aug 13 1998 Cristian Gafton <gafton@redhat.com>
- build of 2.1.115, based on the previous spec from 2.0.35
- build like almost any other package, not dircetly in the buildroot
- sed the buildroot dir out of the .depend files

